------------------------------------------------------------------------------
--
-- (C) Copyright 2003 - 2007 Novell, Inc.
-- All Rights Reserved.
--
--  Workfile:	bcc.sch
--	Contents:	eDirectory Schema for Novell Business Continuity Cluster
--
------------------------------------------------------------------------------
--
-- Common acronyms used in this schema.  Please keep in alphabetical order.
--
-- BCC	- Business Continuance Cluster
-- CRM	- Cluster Resource Manager
-- GIPC	- Group Interprocess Communication
-- HMO	- Health Monitor Object
-- NCS	- Novell Cluster Services
--
------------------------------------------------------------------------------

------------------------------------------------------------------------------
-- The following OID ranges are reserved for BCC
-- Attributes: 2 16 840 1 113719 1 67 4 4 xxx
-- Classes: 2 16 840 1 113719 1 67 6 100 - 2 16 840 1 113719 1 67 6 200
------------------------------------------------------------------------------

NCSSchemaExtensions {2 16 840 1 113719 1 67} DEFINITIONS ::=
BEGIN

------------------------------------------------------------------------------
-- Attributes for BCC (OID - 2 16 840 1 113719 1 67 4 4 xxx)
------------------------------------------------------------------------------

"NCS:BCC Revision" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_INTEGER,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 1}
}

"NCS:BCC Scripts" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 2}
}

"NCS:BCC LUN Map" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 3}
}

"NCS:BCC State" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_INTEGER,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 4}
}

"NCS:BCC Peers" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 5}
}

"NCS:BCC Peer Auth" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_OCTET_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 6}
}

"NCS:BCC Load Settings" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 7}
}

"NCS:BCC Unload Settings" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 8}
}

"NCS:BCC Settings" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 9}
}

"NCS:BCC Priority" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_INTEGER,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 10}
}

"NCS:BCC Node Map" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 11}
}

"NCS:BCC AFF State" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_INTEGER,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 12}
}

"NCS:BCC AFF Monitors" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 13}
}

"NCS:BCC AFF Rules" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 14}
}

"NCS:BCC AFF Settings" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 15}
}

"NCS:BCC AFF Looks Alive" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_INTEGER,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 16}
}

"NCS:BCC AFF Is Alive" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_INTEGER,
   Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 17}
}

"NCS:BCC Data" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 18}
}

"NCS:BCC Templates" ATTRIBUTE ::=
{
   Operation   ADD,
   SyntaxID    SYN_CE_STRING,
   Flags       {DS_SYNC_IMMEDIATE},
   ASN1ObjID   {2 16 840 1 113719 1 67 4 4 19}
}


------------------------------------------------------------------------------
-- BCC Auxiliary Classes
------------------------------------------------------------------------------

"NCS:BCC Resource" OBJECT-CLASS ::=
{
   Operation   ADD,
   Flags       {DS_AUXILIARY_CLASS},
   MayContain  {
                  "NCS:BCC Revision",
                  "NCS:BCC State",
                  "NCS:BCC Peers",
                  "NCS:BCC Scripts"
               },
   ASN1ObjID   {2 16 840 1 113719 1 67 6 100}
}

"NCS:BCC Pool" OBJECT-CLASS ::=
{
   Operation   ADD,
   Flags       {DS_AUXILIARY_CLASS},
   MayContain  {
                  "NCS:BCC Revision",
                  "NCS:BCC LUN Map"
               },
   ASN1ObjID   {2 16 840 1 113719 1 67 6 101}
}

"NCS:BCC Volume" OBJECT-CLASS ::=
{
   Operation   ADD,
   Flags       {DS_AUXILIARY_CLASS},
   MayContain  {
                  "NCS:BCC Revision"
               },
   ASN1ObjID   {2 16 840 1 113719 1 67 6 102}
}

"NCS:BCC Server" OBJECT-CLASS ::=
{
   Operation   ADD,
   Flags       {DS_AUXILIARY_CLASS},
   MayContain  {
                  "NCS:BCC Revision"
               },
   ASN1ObjID   {2 16 840 1 113719 1 67 6 103}
}

"NCS:BCC Cluster" OBJECT-CLASS ::=
{
   Operation   ADD,
   Flags       {DS_AUXILIARY_CLASS},
   MayContain  {
                  "NCS:BCC Revision",
                  "NCS:BCC State",
                  "NCS:BCC Peers",
                  "NCS:BCC Scripts",
                  "NCS:BCC Peer Auth"
               },
   ASN1ObjID   {2 16 840 1 113719 1 67 6 104}
}


------------------------------------------------------------------------------
-- Extend Existing BCC Auxiliary Classes
------------------------------------------------------------------------------

"NCS:BCC Resource" OBJECT-CLASS ::=
{
   Operation   MODIFY,
   MayContain  {
					"NCS:BCC Load Settings",
					"NCS:BCC Unload Settings",
					"NCS:BCC Settings",
					"NCS:BCC Priority",
					"NCS:BCC Data"
               }
}

"NCS:BCC Cluster" OBJECT-CLASS ::=
{
   Operation   MODIFY,
   MayContain  {
					"NCS:BCC Settings",
					"NCS:BCC Node Map",
					"NCS:BCC AFF State",
					"NCS:BCC AFF Monitors",
					"NCS:BCC AFF Rules",
					"NCS:BCC AFF Settings",
					"NCS:BCC AFF Looks Alive",
					"NCS:BCC AFF Is Alive",
					"NCS:BCC Data",
					"NCS:BCC Templates"
               }
}

END

